<?php

require_once( 'libs/tuidd_lib/client/TuiddClient.php' );
require_once( 'libs/tuidd_lib/client/TuiddServicesClient.php' );

session_name('sdk-session');
session_start();

$tuidd = TuiddClient::getSingleton();

$html = '<h3>Consumo de Servicios</h3>';

if( isset( $_GET['service'] ) || isset( $_GET['service_id'] ) )
{
	$tuidd = TuiddClient::getSingleton();
	$userInfo = $tuidd->getUserInfo();
	$sc = TuiddServicesClient::getSingleton();
		
	$service_type = $_GET['service'];
	$service_id = $_GET['service_id'];

	switch ( $service_type )
	{
	case 'survey':
		$token = $tuidd->getSurveyServiceToken();
        $authInfo = array(
            'service_token' => $token->token,
            'login_hint' => 'PCR:'. $userInfo['sub'],
        );  
		$r = $sc->sendsurvey( $service_id, $authInfo, array('display' => 'push') );
		
		break;
	case 'adv':
		$token = $tuidd->getAdvertisingServiceToken();
        $authInfo = array(
            'service_token' => $token->token,
            'login_hint' => 'PCR:'. $userInfo['sub'],
        );  	
		$r = $sc->sendAdvertisementByServiceID( $service_id, $authInfo, array('display' => 'push') );
		break;
	default:
		break;
	}
}

$html .= '<h5>Servicio</h5>';
$html .= '<p>'. $_GET['service'] .'</p>';

$html .= '<h5>ID de servicio</h5>';
$html .= '<p>'. $_GET['service_id'] .'</p>';

$html .= '<h5>Respuesta:</h5>';
$html .= '<p>'. print_r( $r, true ) .'</p>';	

$html .= '<h5>ID TOKEN:</h5>';
$html .= '<p>'. print_r( $userInfo['id_token'], true ) .'</p>';	


echo $html;
